Search Unity

  1. Unity 2019.1 is now released.
    Dismiss Notice

[NEED HELP] My Project Won't Open in Unity Hub

Discussion in 'Unity Hub' started by BuzzardRaze765, Mar 29, 2019.

  1. BuzzardRaze765

    BuzzardRaze765

    Joined:
    Aug 21, 2018
    Posts:
    10
    I'm trying to open a project with Older version of Unity via Unity Hub but it seems like it won't Open the project like, really long time i have to wait. anybody know why?
     
  2. APSchmidt

    APSchmidt

    Joined:
    Aug 8, 2016
    Posts:
    1,970
    Which Unity Hub, 1.6 or 2 beta?

    Did you try opening it directly in Unity?
     
  3. BuzzardRaze765

    BuzzardRaze765

    Joined:
    Aug 21, 2018
    Posts:
    10
    1.6
     
  4. AbrahamDUnity

    AbrahamDUnity

    Unity Technologies

    Joined:
    Jun 28, 2017
    Posts:
    187
    Hi @BuzzardRaze765,

    I have a number of questions regarding your issue:
    - What version of Unity are you trying to open your project with
    - Did you locate this version in your Hub?
    - Are you opening a project that was created with a different version than the one in question 1?

    In any case if you send us a bug report (accessible through the Hub's tray menu) we will have access to your logs and will be able to investigate further.

    Thanks!
     
  5. BuzzardRaze765

    BuzzardRaze765

    Joined:
    Aug 21, 2018
    Posts:
    10
    -5.6.7
    -Yes, it's already in Hub
    -The Project was also in 5.6.7
     
  6. AbrahamDUnity

    AbrahamDUnity

    Unity Technologies

    Joined:
    Jun 28, 2017
    Posts:
    187
    Ok, I don't see any possible explanation from this information. If you submitted a bug could you post the case number here so we can follow up on this thread as well?
     
  7. Surreal

    Surreal

    Joined:
    Dec 10, 2011
    Posts:
    20
    I'm having the same issue with Unity 2019.1.3f1 trying to open a Unity 5.61 project -- it just ignores the entry or tells me that version of Unity is not installed (as an aside it is, but not in the Hub). I just want to import the project, this is absurd.

    And I'm sorry -- but forcing the Project Open dialog to the Hub -- and I've been using Unity since version 3 -- is truly mind boggling. Yes, some flows would be multi-version and get help from this -- but this is NOT helpful when I'm sitting here for an hour trying to make a project load into the latest unity version
     
    Last edited: May 22, 2019
  8. APSchmidt

    APSchmidt

    Joined:
    Aug 8, 2016
    Posts:
    1,970
    You don't need the Hub to use Unity 5.61; consequently you don't need to add your project to the Hub to work on it. Just start Unity 5.61 and then load your project.
     
    AbrahamDUnity likes this.
  9. Surreal

    Surreal

    Joined:
    Dec 10, 2011
    Posts:
    20
    my need was to open the Unity 5.6.1 project in Unity 2019. I would not be posting here if I could just open the project in Unity. The point is as designed, the Hub makes it impossible to understand what to do -- you are just stuck looking at the project and unable to load it. You then go to new project, Project Open, and back to the hub dialog. You want to throw the computer out the window. I uninstalled it, and loaded the project into 2019 the usual way.
     
  10. APSchmidt

    APSchmidt

    Joined:
    Aug 8, 2016
    Posts:
    1,970
    Once you have added the project to the list, you need to choose what version of Unity you want to use with it in the drop down menu in the "Unity version" column..

    I wouldn't recommend upgrading a 5.6 project in 2019 though.
     
  11. jonc113

    jonc113

    Joined:
    Mar 10, 2013
    Posts:
    11
    Just adding my 2 cents...

    I had an old project (5.6) I wanted to open, but it said my version needed to be reactivated, but would not allow me to sign in. I had launched it via Unity Hub. Just to try, I opened it directly - and then I was able to sign in and reactivate it!